/* -*-C-*-
*******************************************************************************
*
* File:         Alias.m
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/Alias.m,v 1.1.1.2 1996/03/13 02:43:32 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 20 14:47:00 1995
* Modified:     Tue Mar 12 21:42:47 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "Alias.h"

@implementation EnhanceAlias
+ finishLoading:(struct mach_header *)header
   {
   [self poseAs:[self superclass]];
   [[Alias new] changeClassTo:[self class]];
   return self;
   }

- removeUser:(int)index from:(char *)group
   {
   return [super removeUser:index from:group];
   }

- addUser:(STR)name group:(STR)group
   {
   /* [self removeUser:oldindex group:group] */
   return [super addUser:name group:group];
   }
@end
