/* -*-C-*-
*******************************************************************************
*
* File:         SimpleString.h
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/SimpleString.h,v 1.1.1.2 1996/04/07 00:20:26 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Tue Oct 17 23:45:19 1995
* Modified:     Tue Apr  2 20:16:14 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>

@interface SimpleString:Object
   {
   char *data;
   char *cur;
   }
- init;
- free;
- grow;
- (char *)string;
- (int)length;
- empty;
- (int)appendChar:(char)c;
- (int)appendString:(const char *)str;
- (int)appendString:(const char *)str length:(int)len;
- (int)appendStream:(NXStream *)s;
- (int)appendFile:(int)fd;
- (int)appendSimpleString:(id)sstr;
- (int)includeSimpleString:(id)sstr;
- (int)lastChar;
@end
