/* -*-C-*-
*******************************************************************************
*
* File:         Preferences.h
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/Preferences.h,v 1.1.1.14 1996/04/09 16:18:57 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Wed Nov  1 09:57:52 1995
* Modified:     Tue Apr  9 11:44:46 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"

#ifndef PREFEXTERN
#define PREFEXTERN extern
#endif

PREFEXTERN BOOL EnhanceQuoteReplies;
PREFEXTERN BOOL EnhanceQuoteColoring;
PREFEXTERN BOOL EnhanceLaunchMailboxes;
PREFEXTERN BOOL EnhanceLaunchAddresses;
PREFEXTERN BOOL EnhanceInsertSignature;
PREFEXTERN BOOL EnhanceRepliesWithOriginals;
PREFEXTERN BOOL EnhanceRestoreDeletesDraft;
PREFEXTERN BOOL EnhanceInsertXFace;
PREFEXTERN BOOL EnhanceInsertXImageURL;
PREFEXTERN BOOL EnhanceBackSpaceBackPages;
PREFEXTERN BOOL EnhanceAutoCompact;
PREFEXTERN BOOL EnhanceAutoSpellCheck;
PREFEXTERN BOOL EnhanceShowXFace;
PREFEXTERN BOOL EnhanceShowXImageURL;
PREFEXTERN BOOL EnhanceFlagReplies;
PREFEXTERN const char *EnhanceQuoteIntro;
PREFEXTERN const char *EnhanceQuotePrefix;
PREFEXTERN const char *EnhanceQuoteRegex;
PREFEXTERN const char *EnhanceXFace;
PREFEXTERN const char *EnhanceXImageURL;
PREFEXTERN const char *EnhanceSignatureSeparator;
PREFEXTERN const char *EnhanceSignatureFilename;
PREFEXTERN const char *EnhanceHTTPProxy;
PREFEXTERN NXColor EnhanceQuoteColor;

@interface EnhancePreferences:Preferences
- setXFace:sender;

- noteChangeXFace:sender;
- noteChangeXImageURL:sender;

- controlFor:(const void *)location;
- addPanel:panel;

- registerBool:(const char *)name location:(BOOL *)loc control:(const char *)con;
- registerString:(const char *)name location:(const char **)loc control:(const char *)con;
- registerInteger:(const char *)name location:(int *)loc control:(const char *)con;
- registerColor:(const char *)name location:(NXColor *)loc control:(const char *)con;
@end
